Subject: [bug#43182] [PATCH 3/3] gnu: nomad: Update to 0.2.0-alpha-100-g6a565d3.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 07 Sep 2020 13:02:26 +0200

Mike Rosset <[email-masked]> writes:

>>> +                 `("GI_TYPELIB_PATH" ":" prefix (,gi-path ,(getenv "GI_TYPELIB_PATH")))
>>> +                 `("GIO_EXTRA_MODULES" ":" prefix (,(getenv "GIO_EXTRA_MODULES")))
>>
>> You can wrap a few lines here to stay under the 78 columns limit.
>>
>>> +                 `("GST_PLUGIN_SYSTEM_PATH" ":" prefix ,gst-plugins)
>>> +                 `("NOMAD_WEB_EXTENSION_DIR" ":" prefix (,ext-path)))
>>
>> If NOMAD_WEB_EXTENSION_DIR is wrapped, it is up to the user to set
>> it. Don't we want to keep it as a native-search-paths so that any
>> extension package to nomad is automatically added to this variable?
>>
>
> No, web extension is a GTK term for extending the WebKit process
> which runs outside of the GTK/Glib process.
>
> The extensions are dynamic libraries and you need to tell the
> WebKitWebContext where to look for them. Normally I'd just substitute
> in the $(libexecdir).  But we need to use the libs in the build directory for
> testing.  And I can't use libtool --mode=execute -dlopen. Because the
> WebKit process does the dlopen.

During the build you could use LD_LIBRARY_PATH, no?

-- 
Ricardo